<?php
$titlu='Sitemap SMS-uri';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/smsuri','SMS-uri');
$categorii=$conn->query('SELECT`id`,`nume`FROM`sms_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/smsuri/pagina/'.$z1,'SMS-uri - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/smsuri/categorie/'.$categorie[0].'-'.seo($categorie[1]),'SMS-uri, categoria '.htmlspecialchars($categorie[1]));
$smsuri=$conn->query('SELECT`id`,`text`FROM`sms`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($sms=$smsuri->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/smsuri/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'SMS-uri, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
$nume=mb_substr($sms[1],0,15);
echo sitemap($adresasite[0].'/sms/id/'.$sms[0].'-'.seo($nume),'SMS '.$sms[0].' - '.htmlspecialchars($nume));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`sms_aprecieri`WHERE`pid`="'.$sms[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-sms/id/'.$sms[0].'-'.seo($nume).'/tip/aprecieri','Aprecieri SMS '.$sms[0].' - '.htmlspecialchars($nume));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-sms/id/'.$sms[0].'-'.seo($nume).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri SMS '.$sms[0].' - '.htmlspecialchars($nume).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`sms_aprecieri`WHERE`pid`="'.$sms[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-sms/id/'.$sms[0].'-'.seo($nume).'/tip/dezaprecieri','Dezaprecieri SMS '.$sms[0].' - '.htmlspecialchars($nume));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-sms/id/'.$sms[0].'-'.seo($nume).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri SMS '.$sms[0].' - '.htmlspecialchars($nume).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`sms_comentarii`WHERE`pid`="'.$sms[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-sms/id/'.$sms[0].'-'.seo($nume),'Comentarii SMS '.$sms[0].' - '.htmlspecialchars($nume));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-sms/id/'.$sms[0].'-'.seo($nume).'/pagina/'.($comentarii+1),'Comentarii SMS '.$sms[0].' - '.htmlspecialchars($nume).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`sms_note`WHERE`pid`="'.$sms[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-sms/id/'.$sms[0].'-'.seo($nume),'Note SMS '.$sms[0].' - '.htmlspecialchars($nume));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-sms/id/'.$sms[0].'-'.seo($nume).'/pagina/'.($note+1),'Note SMS '.$sms[0].' - '.htmlspecialchars($nume).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';